Bug 728795 - Problem parsing some RAID set names in /lib/systemd/fedora-storage-init
Summary: Problem parsing some RAID set names in /lib/systemd/fedora-storage-init
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 15
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-07 16:09 UTC by okay_awright
Modified: 2014-03-17 03:28 UTC (History)
7 users (show)

Fixed In Version: initscripts-9.34.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-15 02:23:06 UTC


Attachments (Terms of Use)
Potential patch for fedora-storage-init. (574 bytes, patch)
2012-01-06 08:32 UTC, Lukáš Nykrýn
no flags Details | Diff

Description okay_awright 2011-08-07 16:09:05 UTC
Description of problem:
I have a FakeRAID controller made by JMicron (oh well) where RAID names must be set on boot. I don't have much control over those names and it appears they always end with spaces and funny non-ascii characters (e.g. "jmicron_JRAID           " - mind the white spaces.)
In /lib/systemd/fedora-storage-init, line 22, RAID set names are parsed with the Shell FOR command:
for dmname in $dmraidsets; do
where spaces are item delimiters, hence my RAID set cannot be activated.

Version-Release number of selected component (if applicable):
Fedora 15

How reproducible:
Always

Steps to Reproduce:
1. Use spaces in names of RAID sets controlled by a dmraid-compatible controller
2. Run Fedora 15
  
Actual results:
the RAID name is not parsed correctly

Comment 1 Lukáš Nykrýn 2012-01-06 08:32:47 UTC
Created attachment 551105 [details]
Potential patch for fedora-storage-init.

Comment 2 Bill Nottingham 2012-01-06 19:48:15 UTC
Looks reasonable, added to git. Does it work for you?

Comment 3 Fedora Update System 2012-03-09 16:56:41 UTC
initscripts-9.35-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/initscripts-9.35-1.fc17

Comment 4 Fedora Update System 2012-03-09 17:57:38 UTC
Package initscripts-9.35-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.35-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3459/initscripts-9.35-1.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-03-09 18:25:37 UTC
initscripts-9.34.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/initscripts-9.34.1-1.fc16

Comment 6 Fedora Update System 2012-03-12 18:22:24 UTC
initscripts-9.34.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/initscripts-9.34.2-1.fc16

Comment 7 Fedora Update System 2012-03-15 02:23:06 UTC
initscripts-9.34.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.